package com.emr.entity.his;

import java.util.Date;

public class HISBA4 {
    private Long fid;

    private String fprn;

    private Integer ftimes;

    private String fname;

    private Integer foptimes;

    private String fopcode;

    private String fop;

    private Date fopdate;

    private String fqiekoubh;

    private String fqiekou;

    private String fyuhebh;

    private String fyuhe;

    private String fdocbh;

    private String fdocname;

    private String fmazuibh;

    private String fmazui;

    private Boolean fiffsop;

    private String fopdoct1bh;

    private String fopdoct1;

    private String fopdoct2bh;

    private String fopdoct2;

    private String fmzdoctbh;

    private String fmzdoct;

    private String foptykh;

    private String fopksname;

    private String fzqssbh;

    private String fzqss;

    private String fssjbbh;

    private String fssjb;

    public Long getFid() {
        return fid;
    }

    public void setFid(Long fid) {
        this.fid = fid;
    }

    public String getFprn() {
        return fprn;
    }

    public void setFprn(String fprn) {
        this.fprn = fprn == null ? null : fprn.trim();
    }

    public Integer getFtimes() {
        return ftimes;
    }

    public void setFtimes(Integer ftimes) {
        this.ftimes = ftimes;
    }

    public String getFname() {
        return fname;
    }

    public void setFname(String fname) {
        this.fname = fname == null ? null : fname.trim();
    }

    public Integer getFoptimes() {
        return foptimes;
    }

    public void setFoptimes(Integer foptimes) {
        this.foptimes = foptimes;
    }

    public String getFopcode() {
        return fopcode;
    }

    public void setFopcode(String fopcode) {
        this.fopcode = fopcode == null ? null : fopcode.trim();
    }

    public String getFop() {
        return fop;
    }

    public void setFop(String fop) {
        this.fop = fop == null ? null : fop.trim();
    }

    public Date getFopdate() {
        return fopdate;
    }

    public void setFopdate(Date fopdate) {
        this.fopdate = fopdate;
    }

    public String getFqiekoubh() {
        return fqiekoubh;
    }

    public void setFqiekoubh(String fqiekoubh) {
        this.fqiekoubh = fqiekoubh == null ? null : fqiekoubh.trim();
    }

    public String getFqiekou() {
        return fqiekou;
    }

    public void setFqiekou(String fqiekou) {
        this.fqiekou = fqiekou == null ? null : fqiekou.trim();
    }

    public String getFyuhebh() {
        return fyuhebh;
    }

    public void setFyuhebh(String fyuhebh) {
        this.fyuhebh = fyuhebh == null ? null : fyuhebh.trim();
    }

    public String getFyuhe() {
        return fyuhe;
    }

    public void setFyuhe(String fyuhe) {
        this.fyuhe = fyuhe == null ? null : fyuhe.trim();
    }

    public String getFdocbh() {
        return fdocbh;
    }

    public void setFdocbh(String fdocbh) {
        this.fdocbh = fdocbh == null ? null : fdocbh.trim();
    }

    public String getFdocname() {
        return fdocname;
    }

    public void setFdocname(String fdocname) {
        this.fdocname = fdocname == null ? null : fdocname.trim();
    }

    public String getFmazuibh() {
        return fmazuibh;
    }

    public void setFmazuibh(String fmazuibh) {
        this.fmazuibh = fmazuibh == null ? null : fmazuibh.trim();
    }

    public String getFmazui() {
        return fmazui;
    }

    public void setFmazui(String fmazui) {
        this.fmazui = fmazui == null ? null : fmazui.trim();
    }

    public Boolean getFiffsop() {
        return fiffsop;
    }

    public void setFiffsop(Boolean fiffsop) {
        this.fiffsop = fiffsop;
    }

    public String getFopdoct1bh() {
        return fopdoct1bh;
    }

    public void setFopdoct1bh(String fopdoct1bh) {
        this.fopdoct1bh = fopdoct1bh == null ? null : fopdoct1bh.trim();
    }

    public String getFopdoct1() {
        return fopdoct1;
    }

    public void setFopdoct1(String fopdoct1) {
        this.fopdoct1 = fopdoct1 == null ? null : fopdoct1.trim();
    }

    public String getFopdoct2bh() {
        return fopdoct2bh;
    }

    public void setFopdoct2bh(String fopdoct2bh) {
        this.fopdoct2bh = fopdoct2bh == null ? null : fopdoct2bh.trim();
    }

    public String getFopdoct2() {
        return fopdoct2;
    }

    public void setFopdoct2(String fopdoct2) {
        this.fopdoct2 = fopdoct2 == null ? null : fopdoct2.trim();
    }

    public String getFmzdoctbh() {
        return fmzdoctbh;
    }

    public void setFmzdoctbh(String fmzdoctbh) {
        this.fmzdoctbh = fmzdoctbh == null ? null : fmzdoctbh.trim();
    }

    public String getFmzdoct() {
        return fmzdoct;
    }

    public void setFmzdoct(String fmzdoct) {
        this.fmzdoct = fmzdoct == null ? null : fmzdoct.trim();
    }

    public String getFoptykh() {
        return foptykh;
    }

    public void setFoptykh(String foptykh) {
        this.foptykh = foptykh == null ? null : foptykh.trim();
    }

    public String getFopksname() {
        return fopksname;
    }

    public void setFopksname(String fopksname) {
        this.fopksname = fopksname == null ? null : fopksname.trim();
    }

    public String getFzqssbh() {
        return fzqssbh;
    }

    public void setFzqssbh(String fzqssbh) {
        this.fzqssbh = fzqssbh == null ? null : fzqssbh.trim();
    }

    public String getFzqss() {
        return fzqss;
    }

    public void setFzqss(String fzqss) {
        this.fzqss = fzqss == null ? null : fzqss.trim();
    }

    public String getFssjbbh() {
        return fssjbbh;
    }

    public void setFssjbbh(String fssjbbh) {
        this.fssjbbh = fssjbbh == null ? null : fssjbbh.trim();
    }

    public String getFssjb() {
        return fssjb;
    }

    public void setFssjb(String fssjb) {
        this.fssjb = fssjb == null ? null : fssjb.trim();
    }
}